Bug 10500 - nouveau does not choose correct resolution on Lenovo widescreen laptop
Summary: nouveau does not choose correct resolution on Lenovo widescreen laptop
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: git
Hardware: All Linux (All)
: medium normal
Assignee: Stephane Marchesin
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-01 14:37 UTC by Richard Hughes
Modified: 2007-04-22 16:22 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.conf (847 bytes, application/octet-stream)
2007-04-01 14:38 UTC, Richard Hughes
no flags Details
xorg.log (41.22 KB, text/x-log)
2007-04-01 14:38 UTC, Richard Hughes
no flags Details
ajax's patch (1.07 KB, patch)
2007-04-02 08:50 UTC, Kristian Høgsberg
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Hughes 2007-04-01 14:37:19 UTC
Nouveau DRM and DDX now works correctly on a NVIDIA GeForce Go 7300 (THANKS!), but gets the resolution incorrect.

I'm using Fedora rawhide, with the latest git snapshots of both drm and nouveau - the default fedora xorg.conf is pretty stripped down (attached) and the panel resolution is not detected correctly (it works out of the box for nv). It's not even listed in randr as an option.

I've attached the xorg.log showing the resolution tests failing, and I can test patches or provide more information when required. The panel default is 1280x800. Cheers!
Comment 1 Richard Hughes 2007-04-01 14:38:09 UTC
Created attachment 9409 [details]
xorg.conf
Comment 2 Richard Hughes 2007-04-01 14:38:45 UTC
Created attachment 9410 [details]
xorg.log
Comment 3 Kristian Høgsberg 2007-04-02 08:50:26 UTC
Created attachment 9431 [details] [review]
ajax's patch

Patch from ajax to fix the problem.  It uses the native panel ranges for mode setting in the case where DDC fails.
Comment 4 Richard Hughes 2007-04-03 07:36:51 UTC
Yes, the patch works for me. Thanks.
Comment 5 Stephane Marchesin 2007-04-22 16:22:07 UTC
Variant of the patch applied, closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.